Package com.google.android.exoplayer2.upstream

## Class HttpDataSource.InvalidContentTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException
        - - com.google.android.exoplayer2.upstream.HttpDataSource.InvalidContentTypeException

- All Implemented Interfaces:
    `Serializable`
  Enclosing interface:
    HttpDataSource

      public static final class HttpDataSource.InvalidContentTypeException
      extends HttpDataSource.HttpDataSourceException

  Thrown when the content type is invalid.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException

      `HttpDataSource.HttpDataSourceException.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `contentType` |

    - ### Fields inherited from class com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException

      `dataSpec, type, TYPE_CLOSE, TYPE_OPEN, TYPE_READ`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidContentTypeException​(String contentType, DataSpec dataSpec)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### contentType

          public final String contentType

  - ### Constructor Detail

    - #### InvalidContentTypeException

          public InvalidContentTypeException​(String contentType,
                                             DataSpec dataSpec)